# $Revision: 1.13 $, $Date: 2001/10/30 00:58:18 $
Summary:	GB - Gnome Basic
Summary(pl):	GB - Gnome Basic
Name:		gb
Version:	0.0.20
Release:	3
License:	GPL
Group:		X11/Libraries
Group(de):	X11/Libraries
Group(es):	X11/Bibliotecas
Group(fr):	X11/Librairies
Group(pl):	X11/Biblioteki
Group(pt_BR):	X11/Bibliotecas
Group(ru):	X11/
Group(uk):	X11/̦
Source0:	ftp://ftp.gnome.org/pub/GNOME/unstable/sources/gb/%{name}-%{version}.tar.gz
Patch0:		%{name}-am_fixes.patch
Patch1:		%{name}-am15.patch
Patch2:		%{name}-%{name}run.patch
URL:		http://www.gnome.org/gb/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	gnome-libs-devel
BuildRequires:	gnome-print-devel >= 0.28
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
This is an embryonic attempt to provide VB compatible functionality
for the GNOME project, particularly with respect to office (VBA)
compatibility.

%description -l pl
Pakiet ten zawiera bibliotek ktra udostpnia funkcje umoliwiajce
realizacj VB (Visual Basic) dla aplikacji GNOME.

%package devel
Summary:	Development resources for Gnome Basic
Summary(pl):	Zasoby potrzebne przy tworzeniu aplikacji uywajcych Gnome Basic
Group:		X11/Development/Libraries
Group(de):	X11/Entwicklung/Libraries
Group(es):	X11/Desarrollo/Bibliotecas
Group(fr):	X11/Development/Librairies
Group(pl):	X11/Programowanie/Biblioteki
Group(pt_BR):	X11/Desenvolvimento/Bibliotecas
Group(ru):	X11//
Group(uk):	X11//̦
Requires:	%{name} = %{version}

%description devel
Development resources for Gnome Basic.

%description devel -l pl
Zasoby potrzebne przy tworzeniu alikacji uywajcych gb.

%package static
Summary:	Static libraries for Gnome Basic
Summary(pl):	Biblioteki statyczne do Gnome Basic
Group:		X11/Development/Libraries
Group(de):	X11/Entwicklung/Libraries
Group(es):	X11/Desarrollo/Bibliotecas
Group(fr):	X11/Development/Librairies
Group(pl):	X11/Programowanie/Biblioteki
Group(pt_BR):	X11/Desenvolvimento/Bibliotecas
Group(ru):	X11//
Group(uk):	X11//̦
Requires:	%{name}-devel = %{version}

%description static
Static libraries for Gnome Basic.

%description static -l pl
Biblioteki statyczne do Gnome Basic.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
sed -e s/AM_GNOME_GETTEXT/AM_GNU_GETTEXT/ configure.in > configure.in.tmp
mv -f configure.in.tmp configure.in
libtoolize --copy --force
aclocal -I %{_aclocaldir}/gnome
autoconf
automake -a -c
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

gzip -9nf ChangeLog NEWS README TODO docs/*.txt

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gb
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc *.gz docs/*.gz
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/*.sh
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gb.spec,v $
Revision 1.13  2001/10/30 00:58:18  kloczek
- "rm -f missing" in top %build.

Revision 1.12  2001/09/26 10:24:44  qboosh
- BuildRequires: autoconf
- fixes in descriptions
- call ldconfig in post/postun
- release 3

Revision 1.11  2001/09/10 08:02:36  kloczek
- release 2,
- added am15 patch (fixes for automake 1.5 and some cleanups),
- added gbrun patch (with fix reported in gb-config script library name).

Revision 1.10  2001/08/23 20:25:10  kloczek
- updated to 0.0.20,
- added using %%find_lang macro.
- spec ac 2.5x ready.

Revision 1.9  2001/04/23 23:53:32  kloczek
- release 2,
- rebuild against gnome-print 0.28,
- added missing gnome-print-devel BuildRequires.

Revision 1.8  2001/03/15 01:03:35  kloczek
- updated to 0.0.18.

Revision 1.7  2001/03/01 01:55:07  kloczek
- relese 4: rebuild against gnome-libs linked with new audiofile.

Revision 1.6  2001/01/19 18:30:24  kloczek
- release 3,
- added ac_fix patch with two simplifications in ac suit,
- now package can be also builded in automake 1.4b enviroment.

Revision 1.5  2000/12/29 19:44:08  kloczek
- release 2,
- added am_fixes patch with fixes in automake for correct passing CFLAGS
  completed in autoconf.

Revision 1.4  2000/12/29 14:39:59  kloczek
- uapdated to 0.0.17,
- added pl translations.

Revision 1.3  2000/11/26 14:31:47  kloczek
- updated to 0.0.16.

Revision 1.2  2000/11/06 10:35:09  kloczek
- typo.

Revision 1.1  2000/11/06 10:34:37  kloczek
- written from scrach.

